<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(isset($_POST['NameBox'])&&isset($_POST['MoneyBox'])){
		// check có event này chưa
		$Check_Code = mysqli_query($conn, "Select * from box_mocnap WHERE MoneyBox = N'".$_POST['MoneyBox']."'");
		if(mysqli_num_rows($Check_Code)){
 $return['code'] = 1;
 $return['text'] = 'Chỉ Tiêu Mốc Nạp Trùng không thể tạo.';			
		} else {
			//Select TOP ID
			$get_ID = mysqli_fetch_array(mysqli_query($conn,"Select BoxID from box_mocnap ORDER BY BoxID DESC"),MYSQLI_ASSOC);
				if($get_ID['BoxID'] == null){
					$get_ID['BoxID'] = 0;
				}
				$newIDEvent = $get_ID['BoxID'] + 1;
			mysqli_query($conn, "INSERT INTO box_mocnap (BoxID,NameBox,MoneyBox) VALUES ('$newIDEvent',N'".$_POST['NameBox']."','".$_POST['MoneyBox']."')");
 $return['code'] = 0;
 $return['text'] = 'Thêm Mốc Thành Công.';
		}
} else {
 $return['code'] = 1;
 $return['text'] = 'Vui lòng nhập đầy đủ theo yêu cầu.';
}

		echo json_encode($return);
		exit();	
}
?>